Subject: Re: [PATCH v2] drm: import DMA_BUF module namespace

From: Thomas Zimmermann <[email-masked]>
Date: Sun, 31 Oct 2021 19:13:17 +0100

Hi

Am 31.10.21 um 03:21 schrieb Stephen Rothwell:
> Hi Thomas,
> 
> On Fri, 29 Oct 2021 20:51:52 +0200 Thomas Zimmermann <[email-masked]> wrote:
>>
>> Am 27.10.21 um 23:25 schrieb Marcel Ziswiler:
>>> From: Marcel Ziswiler <[email-masked]>
>>>
>>> Today's -next fails building arm64 defconfig as follows:
>>>
>>> ERROR: modpost: module drm_cma_helper uses symbol dma_buf_vunmap from
>>>    namespace DMA_BUF, but does not import it.
>>> ERROR: modpost: module drm_cma_helper uses symbol dma_buf_vmap from
>>>    namespace DMA_BUF, but does not import it.
>>>
>>> Reported-by: Linux Kernel Functional Testing <[email-masked]>
>>> Fixes: commit 4b2b5e142ff4 ("drm: Move GEM memory managers into modules")
>>> Signed-off-by: Marcel Ziswiler <[email-masked]>
>>
>> I added this fix into drm-misc-next. Thanks!
>>
>> However, I had to import linux-next while doing so. 'Git am' did a
>> 3-way merge, which may result in a conflict when the fix reaches
>> linux-next again. I also updated the commit description.
> 
> You cannot merge linux-next into any tree, sorry.  It rebases every day
> (and so do several of the included trees).

No no, don't worry. I meant 'import' as in 'git remote add linux-next'. 
I was actually complaining that the provided fix was not against a DRM tree.

Best regards
Thomas

> 
> Your fix patch should be sent to Greg KH and Arnd as the build failure
> is introduced in the char-misc tree.
> 

-- 
Thomas Zimmermann
Graphics Driver Developer
SUSE Software Solutions Germany GmbH
Maxfeldstr. 5, 90409 Nürnberg, Germany
(HRB 36809, AG Nürnberg)
Geschäftsführer: Felix Imendörffer